import { unref } from "vue";
import { useEventListener } from "../use-event-listener";
const defaultOptions = {
  event: "click"
};
const useClickAway = (listener, target, options = defaultOptions) => {
  const onClick = (evt) => {
    const element = unref(target);
    if (element && !element.contains(evt.target)) {
      listener(evt);
    }
  };
  useEventListener(options.event, onClick, { target: document });
};
export {
  useClickAway
};
