var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
__export(exports, {
  useClipboard: () => useClipboard
});
const createElement = () => {
  const _el = document.createElement("div");
  _el.style.whiteSpace = "pre";
  return _el;
};
const useClipboard = () => {
  const _el = createElement();
  const copyText = (text) => {
    if (!text)
      return;
    const selection = window.getSelection();
    if (!selection)
      return;
    const range = document.createRange();
    _el.textContent = text;
    document.body.appendChild(_el);
    range.selectNode(_el);
    selection.removeAllRanges();
    selection.addRange(range);
    try {
      document.execCommand("Copy");
    } catch (error) {
      console.error("copy failed!");
    }
    selection.removeAllRanges();
    _el.textContent = "";
    document.body.removeChild(_el);
  };
  return { copyText };
};
